Save Draft
POST /api/creative/email/compose/drafts
POST
/api/creative/email/compose/drafts
Save a draft.
Request Body required
Section titled “Request Body required ” ComposeEmailRequest
Request body for composing and sending an email.
object
accountId
required
Accountid
string
to
required
To
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
cc
Cc
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
bcc
Bcc
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
subject
required
Subject
string
bodyText
required
Bodytext
string
bodyHtml
Bodyhtml
string
references
References
string
Responses
Section titled “ Responses ”Successful Response
EmailMessageResponse
Response wrapper for single message operations.
object
success
required
Success
Operation success
boolean
message
Any of:
EmailMessageData
A single email message.
object
id
required
Id
Message ID
string
accountId
required
Accountid
string
messageId
required
Messageid
string
folder
required
Folder
string
subject
required
Subject
string
fromAddress
required
Fromaddress
string
fromName
required
Fromname
string
toAddresses
Toaddresses
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
ccAddresses
Ccaddresses
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
bccAddresses
Bccaddresses
Array<object>
EmailAddressDataReusable email address with optional display name.
object
name
Name
string
address
required
Address
string
bodyText
required
Bodytext
string
bodyHtml
required
Bodyhtml
string
isRead
required
Isread
boolean
isStarred
required
Isstarred
boolean
isDeleted
required
Isdeleted
boolean
isSpam
required
Isspam
boolean
spamScore
required
Spamscore
number
hasAttachments
required
Hasattachments
boolean
attachmentsMeta
Attachmentsmeta
Array<object>
AttachmentMetaDataMetadata for an email attachment.
object
name
required
Name
string
size
required
Size
integer
contentType
required
Contenttype
string
storedPath
Storedpath
string
referencesHeader
required
Referencesheader
string
threadId
Threadid
string
dateSent
required
Datesent
integer
createdAt
required
Createdat
Unix timestamp
integer
modifiedAt
required
Modifiedat
Unix timestamp
integer
null
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context